POST GetPlatformFeeInvoice

No documentation available.

Request Information

Parameters

NameDescriptionAdditional information
request
No documentation available.

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "session": 1,
  "sequence": 2,
  "ach": true,
  "paymentInformation": {
    "piNumber": "sample string 1",
    "piType": "sample string 2",
    "arid": 3,
    "acid": 4,
    "token": "sample string 5",
    "arDescripcion": "sample string 6",
    "arNotes": "sample string 7",
    "accountNumber": 8,
    "accountName": "sample string 9",
    "branch": 10,
    "cardHolderName": "sample string 11",
    "isDefault": true,
    "isAch": true,
    "maskedCardNumber": "sample string 14",
    "cardExpDate": "sample string 15",
    "firstname": "sample string 16",
    "lastname": "sample string 17",
    "entityType": 0,
    "accountType": 0,
    "address": "sample string 18",
    "zipcode": "sample string 19",
    "routingNumber": "sample string 20",
    "piid": 21,
    "source": "sample string 22",
    "customerRefID": "sample string 23",
    "achCustomerCode": "sample string 24",
    "customerVATNumber": "sample string 25",
    "platformFeeStartDate": "2026-04-16T08:25:23.7842036-04:00",
    "ccPlatformFee": true,
    "achPlatformFee": true
  },
  "token": "sample string 4",
  "function": 0
}

application/x-www-form-urlencoded

Sample:

Sample not available.

application/xml, text/xml

Sample:
<GetPlatformFeeInvoiceRequest>
  <token>sample string 4</token>
  <function>AddCleanBag</function>
  <session>1</session>
  <sequence>2</sequence>
  <ach>true</ach>
  <paymentInformation>
    <piNumber>sample string 1</piNumber>
    <piType>sample string 2</piType>
    <arid>3</arid>
    <acid>4</acid>
    <token>sample string 5</token>
    <arDescripcion>sample string 6</arDescripcion>
    <arNotes>sample string 7</arNotes>
    <accountNumber>8</accountNumber>
    <accountName>sample string 9</accountName>
    <branch>10</branch>
    <cardHolderName>sample string 11</cardHolderName>
    <isDefault>true</isDefault>
    <isAch>true</isAch>
    <maskedCardNumber>sample string 14</maskedCardNumber>
    <cardExpDate>sample string 15</cardExpDate>
    <firstname>sample string 16</firstname>
    <lastname>sample string 17</lastname>
    <entityType>Business</entityType>
    <accountType>Checking</accountType>
    <address>sample string 18</address>
    <zipcode>sample string 19</zipcode>
    <routingNumber>sample string 20</routingNumber>
    <piid>21</piid>
    <source>sample string 22</source>
    <customerRefID>sample string 23</customerRefID>
    <achCustomerCode>sample string 24</achCustomerCode>
    <customerVATNumber>sample string 25</customerVATNumber>
    <platformFeeStartDate>2026-04-16T08:25:23.7842036-04:00</platformFeeStartDate>
    <ccPlatformFee>true</ccPlatformFee>
    <achPlatformFee>true</achPlatformFee>
  </paymentInformation>
</GetPlatformFeeInvoiceRequest>

Response Information

No documentation available.

Response body formats

application/json, text/json

Sample:
{
  "data": [
    {
      "invoiceNumber": "sample string 1",
      "invoiceDate": "sample string 2",
      "invoiceSequence": "sample string 3",
      "recon": "sample string 4",
      "cuid": 5,
      "invoiceAmount": 6.0,
      "branch": 7,
      "accountNumber": 8,
      "department": "sample string 9",
      "invoicePartial": true,
      "Consol": true,
      "healthcare": true,
      "invoiceDue": 13.0,
      "customerName": "sample string 14",
      "reference": "sample string 15",
      "payingAmount": 16.0,
      "taxAmount": 17.0,
      "customerZip": "sample string 18"
    },
    {
      "invoiceNumber": "sample string 1",
      "invoiceDate": "sample string 2",
      "invoiceSequence": "sample string 3",
      "recon": "sample string 4",
      "cuid": 5,
      "invoiceAmount": 6.0,
      "branch": 7,
      "accountNumber": 8,
      "department": "sample string 9",
      "invoicePartial": true,
      "Consol": true,
      "healthcare": true,
      "invoiceDue": 13.0,
      "customerName": "sample string 14",
      "reference": "sample string 15",
      "payingAmount": 16.0,
      "taxAmount": 17.0,
      "customerZip": "sample string 18"
    },
    {
      "invoiceNumber": "sample string 1",
      "invoiceDate": "sample string 2",
      "invoiceSequence": "sample string 3",
      "recon": "sample string 4",
      "cuid": 5,
      "invoiceAmount": 6.0,
      "branch": 7,
      "accountNumber": 8,
      "department": "sample string 9",
      "invoicePartial": true,
      "Consol": true,
      "healthcare": true,
      "invoiceDue": 13.0,
      "customerName": "sample string 14",
      "reference": "sample string 15",
      "payingAmount": 16.0,
      "taxAmount": 17.0,
      "customerZip": "sample string 18"
    }
  ],
  "valid": true,
  "message": "sample string 2"
}

application/xml, text/xml

Sample:
<GetPlatformFeeInvoiceResponse>
  <valid>true</valid>
  <message>sample string 2</message>
  <data>
    <Invoice>
      <invoiceNumber>sample string 1</invoiceNumber>
      <invoiceDate>sample string 2</invoiceDate>
      <invoiceSequence>sample string 3</invoiceSequence>
      <recon>sample string 4</recon>
      <cuid>5</cuid>
      <invoiceAmount>6</invoiceAmount>
      <branch>7</branch>
      <accountNumber>8</accountNumber>
      <department>sample string 9</department>
      <invoicePartial>true</invoicePartial>
      <Consol>true</Consol>
      <healthcare>true</healthcare>
      <invoiceDue>13</invoiceDue>
      <customerName>sample string 14</customerName>
      <reference>sample string 15</reference>
      <payingAmount>16</payingAmount>
      <taxAmount>17</taxAmount>
      <customerZip>sample string 18</customerZip>
    </Invoice>
    <Invoice>
      <invoiceNumber>sample string 1</invoiceNumber>
      <invoiceDate>sample string 2</invoiceDate>
      <invoiceSequence>sample string 3</invoiceSequence>
      <recon>sample string 4</recon>
      <cuid>5</cuid>
      <invoiceAmount>6</invoiceAmount>
      <branch>7</branch>
      <accountNumber>8</accountNumber>
      <department>sample string 9</department>
      <invoicePartial>true</invoicePartial>
      <Consol>true</Consol>
      <healthcare>true</healthcare>
      <invoiceDue>13</invoiceDue>
      <customerName>sample string 14</customerName>
      <reference>sample string 15</reference>
      <payingAmount>16</payingAmount>
      <taxAmount>17</taxAmount>
      <customerZip>sample string 18</customerZip>
    </Invoice>
    <Invoice>
      <invoiceNumber>sample string 1</invoiceNumber>
      <invoiceDate>sample string 2</invoiceDate>
      <invoiceSequence>sample string 3</invoiceSequence>
      <recon>sample string 4</recon>
      <cuid>5</cuid>
      <invoiceAmount>6</invoiceAmount>
      <branch>7</branch>
      <accountNumber>8</accountNumber>
      <department>sample string 9</department>
      <invoicePartial>true</invoicePartial>
      <Consol>true</Consol>
      <healthcare>true</healthcare>
      <invoiceDue>13</invoiceDue>
      <customerName>sample string 14</customerName>
      <reference>sample string 15</reference>
      <payingAmount>16</payingAmount>
      <taxAmount>17</taxAmount>
      <customerZip>sample string 18</customerZip>
    </Invoice>
  </data>
</GetPlatformFeeInvoiceResponse>